plugins {
    id "org.jetbrains.kotlin.multiplatform"
    id "org.jetbrains.kotlin.plugin.serialization"
    id "com.android.library"
}

apply from: "$mppProjectWithSerializationPresetPath"

kotlin {
    sourceSets {
        commonMain {
            dependencies {
                api libs.microutils.common
                api libs.microutils.serialization.typedserializer
                api libs.microutils.mimetypes
                api libs.klock
                api "io.insert-koin:koin-core:$koin_version"
                api "com.benasher44:uuid:$uuid_version"
                api "io.ktor:ktor-http:$ktor_version"
            }
        }
        jvmMain {
            dependencies {
                api "org.jetbrains.kotlin:kotlin-reflect:$kotlin_version"
            }
        }
        androidMain {
            dependencies {
                api "org.jetbrains.kotlin:kotlin-reflect:$kotlin_version"
            }
        }
    }
}
